// ChildView.cpp : implementation of the CChildView class
//

#include "stdafx.h"
#include "mdb2.h"
#include "ChildView.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChildView

CChildView::CChildView()
{
	m_pModeless = NULL;
}

CChildView::~CChildView()
{
	if (m_pModeless)
	{
		if (::IsWindow(m_pModeless->GetSafeHwnd()))
			m_pModeless->EndDialog(IDCANCEL);
		delete m_pModeless;
	}

}


BEGIN_MESSAGE_MAP(CChildView,CWnd )
	//{{AFX_MSG_MAP(CChildView)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CChildView message handlers

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), HBRUSH(COLOR_WINDOW+1), NULL);


	
	//create the mode less dialog box
   if (!m_pModeless)
        m_pModeless = new CDropDialog;

    if (!::IsWindow(m_pModeless->GetSafeHwnd()))
        m_pModeless->Create(IDD_DIALOG1, this);

    m_pModeless->ShowWindow(SW_SHOW);
	
	view = this;

	return TRUE;
}

void CChildView::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	static int dcset = 0;
	
	// TODO: Add your message handler code here
	
	// Do not call CWnd::OnPaint() for painting messages


	//SetPixel(dc, currval, currval ,RGB(255,0,0));
	Rectangle(dc,currx,currval,currx+2, currval+2);

	//Rectangle(dc,700,200,702, 202);
	//SetPixel(dc,150,150,RGB(0,255,0));

	/*this->UpdateWindow();

	if(!dcset)
	{
		viewdc = &dc;
		dcset = 1;
	}*/
}

