/*/////////////////////////////////////////////////////////////////////////
Name : Gajendra Singh
File : Dialog header File.
Date : October 20, 2005
Description : This code is the main file which generates the window to handle 
data coming from environmental sensors and clam sensors.

////////////////////////////////////////////////////////////////////////*/


#if !defined(AFX_TABDLGNEWCLASS_H__81B4AE6E_A11E_4F65_B2BA_1F32AF0774D9__INCLUDED_)
#define AFX_TABDLGNEWCLASS_H__81B4AE6E_A11E_4F65_B2BA_1F32AF0774D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TabDlgNewClass.h : header file
//

#include "afxcmn.h"
#include "tabpageone.h"
#include "tabpagetwo.h"
#include "ibtabctrl.h"

#include "OScopeCtrl.h"
#include "SerialCom.h"


/////////////////////////////////////////////////////////////////////////////
// TabDlgNewClass dialog

class TabDlgNewClass : public CDialog
{
// Construction
public:
	CSerialCom  port;
	TabDlgNewClass(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(TabDlgNewClass)
	enum { IDD = IDD_TAB_DIALOG };
	BYTE	m_ed2;
	BYTE	m_ed1;
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TabDlgNewClass)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(TabDlgNewClass)
	afx_msg void OnRunStop();
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnTest();
	//afx_msg void OnSetfocusEdit1();
	afx_msg void OnQuit();
	afx_msg void OnClose();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()


protected:
	HICON m_hIcon;


protected:
	COScopeCtrl m_OScopeCtrl;
	COScopeCtrl m_OScopeCtrl1;
	COScopeCtrl m_OScopeCtrl2;
	COScopeCtrl m_OScopeCtrl3;
	COScopeCtrl m_OScopeCtrl4;
	COScopeCtrl m_OScopeCtrl5;
	COScopeCtrl m_OScopeCtrl6;
	COScopeCtrl m_OScopeCtrl7;
	COScopeCtrl m_OScopeCtrl8;
	COScopeCtrl m_OScopeCtrl9;
	COScopeCtrl m_OScopeCtrl10;
	COScopeCtrl m_OScopeCtrl11;
	COScopeCtrl m_OScopeCtrl12;
	COScopeCtrl m_OScopeCtrl13;
	COScopeCtrl m_OScopeCtrl14;
	COScopeCtrl m_OScopeCtrl15;
	COScopeCtrl m_OScopeCtrl16;
	COScopeCtrl m_OScopeCtrl17;
	COScopeCtrl m_OScopeCtrl18;
	COScopeCtrl m_OScopeCtrl19;
	COScopeCtrl m_OScopeCtrl20;
	COScopeCtrl m_OScopeCtrl21;
	COScopeCtrl m_OScopeCtrl22;
	BOOL        m_bStartStop;

private:
	CTabPageOne *p1;
	CTabPageTwo *p2;
	int m_bInit;
public:
	CibTabCtrl m_ctrlTAB;
	afx_msg void OnMove(int x, int y);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABDLGNEWCLASS_H__81B4AE6E_A11E_4F65_B2BA_1F32AF0774D9__INCLUDED_)
